"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegisterIndex = void 0;
require("reflect-metadata");
const ramda_1 = require("ramda");
const constants_1 = require("../constants");
const RegisterIndex = (name) => (constructor) => {
    if (!(0, ramda_1.is)(String, name) || (0, ramda_1.isNil)(name) || (0, ramda_1.isEmpty)(name)) {
        throw new Error(`[${constructor.name}] Failed to register due to index name being null, undefined or empty. Please provide name to @RegisterIndex(name: string).`);
    }
    Reflect.defineMetadata(constants_1.ELASTICSEARCH_INDEX_NAME_METADATA, name, constructor);
    return constructor;
};
exports.RegisterIndex = RegisterIndex;
//# sourceMappingURL=register-index.decorator.js.map