import { Document, Key, FieldType } from '../common';
export type MatchPhrasePrefixQueryOptions = {
    boost?: number;
};
export type MatchPhrasePrefixQueryBody<TDocument extends Document, TField extends Key<TDocument> = Key<TDocument>> = {
    [x in TField]?: {
        query: FieldType<TDocument, TField>;
    } & MatchPhrasePrefixQueryOptions;
};
export type MatchPhrasePrefixQuery<TDocument extends Document, TField extends Key<TDocument> = Key<TDocument>> = {
    match_phrase_prefix: MatchPhrasePrefixQueryBody<TDocument, TField>;
};
export declare const getMatchPhrasePrefixQuery: <TDocument extends Document, TField extends Key<TDocument> = Key<TDocument>>(field: TField, query: FieldType<TDocument, TField>, options?: MatchPhrasePrefixQueryOptions) => MatchPhrasePrefixQuery<TDocument, TField>;
