"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIndexInjectionToken = exports.getIndexName = void 0;
require("reflect-metadata");
const ramda_1 = require("ramda");
const constants_1 = require("../lib/constants");
const getIndexName = (nameOrDocument) => {
    if ((0, ramda_1.is)(String, nameOrDocument)) {
        return nameOrDocument;
    }
    const indexName = Reflect.getMetadata(constants_1.ELASTICSEARCH_INDEX_NAME_METADATA, nameOrDocument);
    if (!indexName) {
        throw new Error(`[${nameOrDocument.name}] Failed to inject index. Make sure the index is properly decorated with @RegisterIndex(name: string).`);
    }
    return indexName;
};
exports.getIndexName = getIndexName;
const getIndexInjectionToken = (nameOrDocument) => `${constants_1.ELASTICSEARCH_INDEX_PREFIX}:${(0, exports.getIndexName)(nameOrDocument)}`;
exports.getIndexInjectionToken = getIndexInjectionToken;
//# sourceMappingURL=utils.js.map